return {
    'goolord/alpha-nvim',
    event = "VimEnter",
    dependencies = { 'nvim-tree/nvim-web-devicons' },
    config = function()
        local alpha = require('alpha')
        local dashboard = require('alpha.themes.dashboard')
        dashboard.section.header.val = {
            [[┌┐┌┌─┐┌─┐┬  ┬┬┌┬┐]],
            [[│││├┤ │ │└┐┌┘││││]],
            [[┘└┘└─┘└─┘ └┘ ┴┴ ┴]],
        }
        dashboard.section.buttons.val = {
            dashboard.button("e", "  New file", ":<cmd>ene<CR>"),
            dashboard.button(",ff", "󰈞  Find file", "<cmd>Telescope find_files<CR>"),
            dashboard.button(",fg", "󰈬  Find word", "<cmd>Telescope live_grep<CR>"),
            dashboard.button(",zn", "󱞁  Write note", "<cmd>Telekasten new_note<CR>"),
            dashboard.button(",zf", "󱙓  Find note", "<cmd>Telekasten find_notes<CR>"),
            dashboard.button("q", "󰅚  Quit", ":qa<CR>"),
        }
        alpha.setup(dashboard.config)
    end
}

-- 󰊄  Recently opened files                   SPC f h
--   Frecency/MRU                            SPC f r
--   Jump to bookmarks                       SPC f m
--   Open last session                       SPC s l
